
function QuickGolemHall()
    KEY()
    FON("Camera1",0)
    FAI(2)
    --石头在前方先出现
    MNP("GolemRock1",57,-1,0)
    CNP("GolemRock1","CS_enemy_golemrock",0)
    ANP("GolemRock1",1060)
    WAI(60)
    AMC("normal")
    WAI(60)
    --布在后方出现
    MNP("GolemPaper1",21,-1,0)
    CNP("GolemPaper1","CS_enemy_golempaper",0)
    ANP("GolemPaper1",1060)
    WAI(60)
    --剪刀出现
    MNP("GolemScissors1",25,-1,0)
    CNP("GolemScissors1","CS_enemy_golemscissors",0)
    ANP("GolemScissors1",1060)
    SLR(0)
    AMC("normal")
    WAI(120)
    CMU("CS_FireEye")
    ANP("GolemPaper1","action")
    ANP("GolemScissors1","action")
    ANP("GolemRock1","action")
    --左力场
    for i=13,18,1 do
        SNP("CS_forcefield",19,i,0,"mainLayer","ForcefieldL")
    end
    --右力场
    for i=13,18,1 do
        SNP("CS_forcefield",59,i,0,"mainLayer","ForcefieldR")
    end
    FLP("AIBossFight")
end

function Back()
    PRI()
    TUR()MS4("\n不能逃跑！")NOD()
end

function GolemPaper1()
    FLP("GolemPaper1")
    DefeatePaperScissorsRock()
end

function GolemScissors1()
    FLP("GolemScissors1")
    DefeatePaperScissorsRock()
end

function GolemRock1()
    FLP("GolemRock1")
    DefeatePaperScissorsRock()
end

function DefeatePaperScissorsRock()
    if(FLJ("GolemPaper1") and FLJ("GolemScissors1") and FLJ("GolemRock1")) then
        KEY()
        FLS("AIBossFight")
        CMU("CS_Fanfale3")
        MS4("\n完成了魔像大厅挑战！")WAI(140)NOD()CLO()
        FAO(2)
        FOM()
        FLP("DefeatedGolemHall")
        FLS("GolemPaper1")
        FLS("GolemScissors1")
        FLS("GolemRock1")
        TRA("CS_bossrush_mainstage","E0090",20,51)
    end
end

function Died()
    CMU("XXXX")WAI(30)
    FAO(2)
    FOM()
    FLS("AIBossFight")
    FLS("GolemPaper1")
    FLS("GolemScissors1")
    FLS("GolemRock1")
    SMC(0)SMC(1)LIP(1000)MIP(1000)TRA("CS_bossrush_mainstage","E0090",20,51)
end

function DeathByMovingPlatform()
    Died()
end